javax.xml.bind.annotation

## Class XmlType.DEFAULT

- java.lang.Object
- - javax.xml.bind.annotation.XmlType.DEFAULT

- Enclosing class:
    XmlType

      public static final class XmlType.DEFAULT
      extends Object

  Used in `XmlType.factoryClass()` to signal that either factory mehod is not used or that it's in the class with this `XmlType` itself.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DEFAULT()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DEFAULT

          public DEFAULT()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.